import dict2obj

SCATTER_LEARNING_POLICY = {
    "stepwise_1000": (
        "MultiStepDecay",
        dict2obj.Config(
            milestones=[100, 200, 300, 400, 500, 600, 700, 800, 900],
            gamma=0.01,
            steps=[0.1, 0.01]
        ),
        "STEPWISE leaning policy will be applied: " \
        "decay scatter_eps at every 100 epochs by a constant 0.01"
    ),
    "cosine_1000":(
        "CosineAnnealingDecay",
        dict2obj.Config(
            T_max=1000,
            eta_min=0.,
            last_epoch=-1,
        ),
        "cosine learning policy: T_max == epochs - 1"
    ),
    "cosine_150":(
        "CosineAnnealingDecay",
        dict2obj.Config(
            T_max=150,
            eta_min=0.,
            last_epoch=-1,
        ),
        "cosine learning policy: T_max == epochs - 1"
    ),
}
